### Method

# GExiv2 PreviewImage write_file

unstable since: 0.16.0

#### Declaration [src]

    glong
    gexiv2_preview_image_write_file (
      GExiv2PreviewImage* self,
      const gchar* path,
      GError** error
    )

#### Description [src]

Write the preview image to a file in `path`.

Available since: 0.16.0

#### Parameters

`path`

  Type: `const gchar*`

  The file path to write the preview image to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `glong`

The number of bytes written to the file.